> For the complete documentation index, see [llms.txt](https://docs.openreview.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openreview.net/v1/how-to-guides/workflow/how-to-do-multiple-phase-review.md).

# How to do multiple phase review

Venues may want to have some portion of submissions be revised and allow for another round of review. For venues where the same reviewers will review the revisions to the submissions, the workflow can be configured by a Program or Workflow Chair:&#x20;

1. After the first round of review, post [Decisions](/v1/reference/stages/decision-stage.md) for all submissions *not* receiving a second round of review. These can be Accept decisions, Reject decisions, or some combination of the two.&#x20;
2. Run the [Post Decision ](/v1/reference/stages/post-decision-stage.md)Stage which will update venue id of the the papers with decisions.
3. Set up the [Submission Revision](/v1/reference/stages/submission-revision-stage.md) Stage and [Review Revision](/v1/how-to-guides/workflow/how-to-enable-the-review-revision-stage.md) Stage. Ensure that the activation date is in the future. Once the stage is created, edit the Group Content of each invitation include the following `source` variable. This ensures that the revision will only be active for submissions that do not yet have decisions.

```
{
  "source": {
    "value": {
      "value": {
        "venueid": [
          "YOUR/VENUE/ID/Submission"
        ]
      }
    }
  }
}
```

4. (Optional) Send a message through the UI by selecting the papers with No Decision and sending a message to authors, or [programmatically through the Python Client](/v1/how-to-guides/communication/how-to-send-messages-with-the-python-client.md)
5. (Optional) You can also add the same `source` variable to the Official Comment Stage to allow for discussion only on the submissions under revision.
6. Once the re-reviews are complete, add the Decisions to the revised papers and run the Post Decision Stage once again.

For significant variations on this workflow, such as new reviewer assignment, more customization of the workflow may be necessary. [Contact Support ](https://openreview.net/contact) with the details of your workflow for additional information.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openreview.net/v1/how-to-guides/workflow/how-to-do-multiple-phase-review.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
